﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.EJ2.QueryBuilder;
namespace EssentialJS2WebApplication5.Controllers
{
    public partial class QueryBuilderController : Controller
    {
        public IActionResult QueryBuilderFeatures()
        {
            QueryBuilderRule rule = new QueryBuilderRule()
            {
                Condition = "and",
                Rules = new List<QueryBuilderRule>()
                {
                    new QueryBuilderRule { Label="First Name", Field="FirstName", Type="string", Operator="startswith", Value = "Sam" },
                    new QueryBuilderRule { Label="Title", Field="Title", Type="string", Operator="equal", Value = "Sales Manager" },
                    new QueryBuilderRule { Label="Hire Date", Field="HireDate", Operator="equal", Type="date", Value = "29/04/2019" }

                }
            };
            List<string> values = new List<string> { "Mr.", "Mrs." };
            ViewBag.rule = rule;
            ViewBag.values = values;
            return View();
        }
    }
}
